# LocationArea

class LocationArea(loc1: Location, loc2: Location)
Content copied to clipboard

## Functions

equals
Link copied to clipboard
open operator fun equals(other: Any?): Boolean
Content copied to clipboard
hashCode
Link copied to clipboard
open fun hashCode(): Int
Content copied to clipboard
isInArea
Link copied to clipboard
fun isInArea(loc: Location, check3d: Boolean = true, tolerance: Int = 0): Boolean
Content copied to clipboard
toString
Link copied to clipboard
open fun toString(): String
Content copied to clipboard

## Properties

loc1
Link copied to clipboard
var loc1: Location
Content copied to clipboard
loc2
Link copied to clipboard
var loc2: Location
Content copied to clipboard
maxLoc
Link copied to clipboard
val maxLoc: Location
Content copied to clipboard
minLoc
Link copied to clipboard
val minLoc: Location
Content copied to clipboard
simpleLocationPair
Link copied to clipboard
var simpleLocationPair: SimpleLocationPair
Content copied to clipboard
touchedChunks
Link copied to clipboard
val touchedChunks: Set<Chunk>
Content copied to clipboard
world
Link copied to clipboard
val world: World
Content copied to clipboard

## Extensions

entities
Link copied to clipboard
val LocationArea.entities: Set<Entity>
Content copied to clipboard
fillBlocks
Link copied to clipboard
val LocationArea.fillBlocks: Set<Block>
Content copied to clipboard
loadStructure
Link copied to clipboard
fun LocationArea.loadStructure(includeBlocks: Boolean = true, includeEntities: Boolean = false): Structure
Content copied to clipboard